> ## Documentation Index
> Fetch the complete documentation index at: https://docs.laikipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund Virtual Card

> Deposit funds into a virtual card from your merchant USD vault

Add funds directly to an active virtual card from your merchant USD balance vault.

### Headers

| Header | Type | Description |
| :- | :- | :- |
| `Authorization` | `string` | `Bearer <accessToken>` |
| `Content-Type` | `string` | `application/json` |

***

### Path Parameters

| Parameter | Type | Required | Description |
| :- | :- | :- | :- |
| `id` | `string` | **Yes** | Virtual card ID (`crd_...`) or unique reference. |

***

### Request Body

| Parameter | Type | Required | Description |
| :- | :- | :- | :- |
| `amount` | `number` | **Yes** | Funding amount in USD (minimum `$1.00`). |

***

### Request Example

```bash cURL theme={null}
curl -X POST "https://api.laikipay.com/v1/merchant/cards/crd_8f921ab0c1/fund" \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 25.00
  }'
```

***

### Response (`200 OK`)

```json theme={null}
{
  "status": "success",
  "data": {
    "message": "Virtual card successfully funded",
    "card": {
      "id": "crd_8f921ab0c1",
      "cardType": "VIRTUAL",
      "cardBrand": "VISA",
      "maskedPan": "411111******1111",
      "nameOnCard": "Alex Morgan",
      "balanceAmount": 75.0,
      "currency": "USD",
      "status": "ACTIVE",
      "createdStatus": "COMPLETED",
      "reference": "CRD_ORD_001",
      "billingAddress": {
        "street": "100 Financial District Blvd",
        "city": "New York",
        "state": "NY",
        "postalCode": "10005",
        "country": "US"
      },
      "colorTheme": "Midnight Black",
      "createdAt": "2026-10-12T07:05:00.000Z",
      "updatedAt": "2026-10-12T07:28:00.000Z"
    }
  },
  "timestamp": "2026-10-12T07:28:01.000Z",
  "path": "/api/v1/merchant/cards/crd_8f921ab0c1/fund"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.